{% extends 'base.html.twig' %}
{% block title %}User{% endblock %}
{% block body %}

    {% if is_granted( 'IS_AUTHENTICATED_FULLY') %}
        <div class="container">
            <h2>List of your video </h2>
            <p>You can see here a list of your video with the button you can edit or remove this</p>
            <table class="table">
                <thead>
                    <tr>
                        <th>Firstname</th>
                        <th>id</th>
                        <th>Title</th>
                        <th>Categorie</th>
                        <th>Resume</th>
                        <th>Edit</th>
                        <th>Remove</th>
                    </tr>
                </thead>
            <tbody>
                <tr>
        {% for video in app.user.videos %}
        <td>{{ app.user.firstname }}</td>
        <td> {{ video.id }}</td>
        <td> {{ video.title }}</td>
        <td> {{ video.categorie }}</td>
        <td> {{ video.resume }}</td>
        <td><button type="button" class="btn btn-default"><a style="color:black" href="{{ path('edit', { 'id': video.id }) }}"><b>🖊</b></a></button></td>️
        <td><button type="button" class="btn btn-danger"><a style="color:black" href="{{ path( 'video_remove', {'id': video.id}) }}"><b>🗑️</b></a></button></td>
                </tr>
        {% endfor %}
            </tr>
            </tbody>
            </table>
        </div>
    {% else %}
        <p>Welcome Anonymous</p>
    {% endif %}
{% endblock %}